<?php
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: enable1.php,v 1.2 2000/08/20 10:48:22 jmayer Exp $

include("ServerScriptHelper.php");
include("ArrayPacker.php");
include("uifc/PagedBlock.php");
include("uifc/MultiChoice.php");
include("uifc/Option.php");

$iam = '/base/firewall/enable1.php';

// standard uifc header:
$serverScriptHelper = new ServerScriptHelper() or die ("no server-script-helper");
$i18n = $serverScriptHelper->getI18n("base-firewall");
$confirm_removal=$i18n->get('confirm_removal');
$cceClient = $serverScriptHelper->getCceClient() or die ("no CCE");
$factory = $serverScriptHelper->getHtmlComponentFactory("base-firewall", $iam);
$page = $factory->getPage();
$page->setOnLoad('attempt_to_confirm()');

print($page->toHeaderHtml()); 

echo '';
echo '<script language="javascript"> ';
echo '';
echo 'function attempt_to_confirm()';
echo '{';
echo '  location = "/base/firewall/rules.php?confirm=1";';
echo '}';
echo '';
echo '</script>';
echo '';

///////////////////////////////////////////////////////////////////
// identify objects
///////////////////////////////////////////////////////////////////
$sys_oids = $cceClient->find("System");

///////////////////////////////////////////////////////////////////
// commit firewall
///////////////////////////////////////////////////////////////////
$cceClient->set($sys_oids[0], "Firewall", array(
  'enabled' => 1,
  'commit' => time(),
  'watchdog' => time() ) );

// block:
$block = new PagedBlock($page, "FirewallEnable1", 
  $factory->getLabel("FirewallEnable1",true));

$block->addDivider($factory->getLabel("explain-firewall-enable1-page"));

print $block->toHtml();
print $page->toFooterHtml();

