<?php
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: enable2.php,v 1.1 2000/07/20 11:53:03 jmayer Exp $

include("ServerScriptHelper.php");
include("ArrayPacker.php");
include("uifc/PagedBlock.php");
include("uifc/MultiChoice.php");
include("uifc/Option.php");

$iam = '/base/firewall/enable1.php';

// standard uifc header:
$serverScriptHelper = new ServerScriptHelper() or die ("no server-script-helper");
$i18n = $serverScriptHelper->getI18n("base-firewall");
$confirm_removal=$i18n->get('confirm_removal');
$cceClient = $serverScriptHelper->getCceClient() or die ("no CCE");
$factory = $serverScriptHelper->getHtmlComponentFactory("base-firewall", $iam);
$page = $factory->getPage();
print($page->toHeaderHtml()); 

///////////////////////////////////////////////////////////////////
// identify objects
///////////////////////////////////////////////////////////////////
$sys_oids = $cceClient->find("System");

///////////////////////////////////////////////////////////////////
// commit firewall
///////////////////////////////////////////////////////////////////
$cceClient->set($sys_oids[0], "Firewall", array(
  'enabled' => 1,
  'commit' => time(),
  'watchdog' => time() ) );

// block:
$block = new PagedBlock($page, "FirewallEnable2", 
  $factory->getLabel("FirewallEnable1",true));

$block->addDivider($factory->getLabel("firewall-congrat-page"));

$block->addButton($factory->getButton('/base/firewall/top.php?confirm=1',
  'confirm-firewall-button'));

print $block->toHtml();
print $page->toFooterHtml();

